import os, traceback

base="/datas/media/video/mirror/youtube/"

def run(c):
  for type in sorted(os.listdir(base)):
    ptype=os.path.join(base,type)
    for instance in sorted(os.listdir(ptype)):
      pinstance=os.path.join(ptype,instance)
      for file in sorted(os.listdir(pinstance)):
        pfile=os.path.join(pinstance,file)
        name, ext = os.path.splitext(file)
        if not ext or ext == '' or ext == '.part':
          continue
        if ext not in ('.mp4','.webm','.jpg','.png'):
          continue
        date = None
        if ext in ('.mp4','.webm'):
          date = os.path.getmtime(pfile)
        try:
          video = c.addVideo(name, { type: instance }, date)
          c.addSource(video, pfile)
        except Exception:
          print("youtube collector, couldn't add video:", file)
          traceback.print_exc()
